# How to translate this tutorial

Thank you for your interest in translating my tutorial! Here are a few recommendations to get started.

This tutorial is in constant evolution to provide the best learning experience to readers. Both the code and `README.md` files will change over time. It is great if you do a one-shot translation that won't evolve, but it would be even better if you could try to keep up with the original English version as it changes!

Here is what I think is a good workflow:

- Check if there is already an [ongoing translation](https://github.com/verekia/js-stack-from-scratch/issues/147) for your language. If that's the case, get in touch with the folks who opened it and consider collaborating. All maintainers will be mentioned on the English repo, so team work is encouraged! You can open issues on their translation fork project to offer your help on certain chapters for instance.

- Join the [Translations Gitter room](https://gitter.im/js-stack-from-scratch/Translations) if you're feeling chatty.

- Fork the main [English repository](https://github.com/verekia/js-stack-from-scratch).

- Post in [this issue](https://github.com/verekia/js-stack-from-scratch/issues/147) the language and URL of your forked repo.

- Translate the `README.md` files.

- Add a note somewhere explaining on the main `README.md` that this is a translation, with a link to the English repository. If you don't plan to make the translation evolve over time, you can maybe add a little note saying to refer to the English one for an up-to-date version of the tutorial. I'll leave that up to your preference.

- Submit a Pull Request to the English repo to add a link to your forked repository under the Translations section of the main `README.md`. It could look like this:

```md
## Translations

- [Language](http://github.com/yourprofile/your-fork) by [You](http://yourwebsite.com)
or
- [Language](http://github.com/yourprofile/your-fork) by [@You](http://twitter.com/yourprofile)
or
- [Language](http://github.com/yourprofile/your-fork) by [@You](http://github.com/yourprofile)
```

Since I want to reward you for your good work as much as possible, you can put any link you like on your name (to your personal website, Twitter profile, or Github profile for instance).

- After your original one-shot translation, if you want to update your repo with the latest change from the main English repo, [sync your fork](https://help.github.com/articles/syncing-a-fork/) with my repo. To make it easy to see what changed since your initial translation, you can use Github's feature to [compare commits](https://help.github.com/articles/comparing-commits-across-time/#comparing-commits). Set the **base** to the last commit from the English repo you used to translate, and compare it to **master**, like so:

<!-- markdownlint-disable MD034 -->
https://github.com/verekia/js-stack-from-scratch/compare/c65dfa65d02c21063d94f0955de90947ba5273ad...master
<!-- markdownlint-enable MD034 -->

That should give you a easy-to-read diff to see exactly what changed in `README.md` files since your translation!
